"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _errors = require("../../services/errors");
var _http = require("../../services/http");
function asyncGeneratorStep(n, t, e, r, o, a, c) { try { var i = n[a](c), u = i.value; } catch (n) { return void e(n); } i.done ? t(u) : Promise.resolve(u).then(r, o); }
function _asyncToGenerator(n) { return function () { var t = this, e = arguments; return new Promise(function (r, o) { var a = n.apply(t, e); function _next(n) { asyncGeneratorStep(a, r, o, _next, _throw, "next", n); } function _throw(n) { asyncGeneratorStep(a, r, o, _next, _throw, "throw", n); } _next(void 0); }); }; }
/**
 * Class dealing with the /fawry endpoint
 *
 * @deprecated - Since version 2.1.2 - To be removed in future versions.
 * Should use Payments client instead
 * @export
 * @class Fawry
 */
class Fawry {
  constructor(config) {
    this.config = config;
  }

  /**
   * Approve Fawry payment
   *
   * @deprecated - Since version 2.1.2 - Should use Payments client instead
   * @param {string} reference Reference.
   * @memberof Fawry
   * @return {Promise<Object>} A promise to the Fawry response.
   */
  approve(reference) {
    var _this = this;
    return _asyncToGenerator(function* () {
      try {
        const response = yield (0, _http.put)(_this.config.httpClient, `${_this.config.host}/fawry/payments/${reference}/approval`, _this.config, _this.config.sk);
        return yield response.json;
      } catch (err) {
        const error = yield (0, _errors.determineError)(err);
        throw error;
      }
    })();
  }

  /**
   * Cancel Fawry payment
   *
   * @deprecated - Since version 2.1.2 - Should use Payments client instead
   * @param {string} reference Reference.
   * @memberof Fawry
   * @return {Promise<Object>} A promise to the Fawry response.
   */
  cancel(reference) {
    var _this2 = this;
    return _asyncToGenerator(function* () {
      try {
        const response = yield (0, _http.put)(_this2.config.httpClient, `${_this2.config.host}/fawry/payments/${reference}/cancellation`, _this2.config, _this2.config.sk);
        return yield response.json;
      } catch (err) {
        const error = yield (0, _errors.determineError)(err);
        throw error;
      }
    })();
  }
}
exports.default = Fawry;
//# sourceMappingURL=fawry.js.map