"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _errors = require("../../services/errors");
var _http = require("../../services/http");
function asyncGeneratorStep(n, t, e, r, o, a, c) { try { var i = n[a](c), u = i.value; } catch (n) { return void e(n); } i.done ? t(u) : Promise.resolve(u).then(r, o); }
function _asyncToGenerator(n) { return function () { var t = this, e = arguments; return new Promise(function (r, o) { var a = n.apply(t, e); function _next(n) { asyncGeneratorStep(a, r, o, _next, _throw, "next", n); } function _throw(n) { asyncGeneratorStep(a, r, o, _next, _throw, "throw", n); } _next(void 0); }); }; }
/**
 * Class dealing with the /metadata/card endpoint
 *
 * @export
 * @class CardMetadata
 */
class CardMetadata {
  constructor(config) {
    this.config = config;
  }

  /**
   * Returns a single metadata record for the card specified by the Primary Account Number (PAN),
   * Bank Identification Number (BIN), token, or instrument supplied.
   *
   * @param {Object} body Card Metadata request body.
   * @return {Promise<Object>} A promise to the add Card Metadata response.
   */
  get(body) {
    var _this = this;
    return _asyncToGenerator(function* () {
      try {
        const response = yield (0, _http.post)(_this.config.httpClient, `${_this.config.host}/metadata/card`, _this.config, _this.config.sk, body);
        return yield response.json;
      } catch (err) {
        const error = yield (0, _errors.determineError)(err);
        throw error;
      }
    })();
  }
}
exports.default = CardMetadata;
//# sourceMappingURL=card-metadata.js.map