"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _errors = require("../../services/errors");
var _http = require("../../services/http");
function asyncGeneratorStep(n, t, e, r, o, a, c) { try { var i = n[a](c), u = i.value; } catch (n) { return void e(n); } i.done ? t(u) : Promise.resolve(u).then(r, o); }
function _asyncToGenerator(n) { return function () { var t = this, e = arguments; return new Promise(function (r, o) { var a = n.apply(t, e); function _next(n) { asyncGeneratorStep(a, r, o, _next, _throw, "next", n); } function _throw(n) { asyncGeneratorStep(a, r, o, _next, _throw, "throw", n); } _next(void 0); }); }; }
/**
 * Class dealing with the /risk endpoint
 *
 * @export
 * @class Risk
 */
class Risk {
  constructor(config) {
    this.config = config;
  }

  /**
   * Perform a pre-authentication fraud assessment using your defined risk settings.
   *
   * @memberof Risk
   * @param {Object} body Risk request body.
   * @return {Promise<Object>} A promise to the risk response.
   */
  requestPreAuthentication(body) {
    var _this = this;
    return _asyncToGenerator(function* () {
      try {
        const response = yield (0, _http.post)(_this.config.httpClient, `${_this.config.host}/risk/assessments/pre-authentication`, _this.config, _this.config.sk, body);
        return yield response.json;
      } catch (err) {
        const error = yield (0, _errors.determineError)(err);
        throw error;
      }
    })();
  }

  /**
   * Perform a pre-capture fraud assessment using your defined risk settings.
   *
   * @memberof Risk
   * @param {Object} body Risk request body.
   * @return {Promise<Object>} A promise to the risk response.
   */
  requestPreCapture(body) {
    var _this2 = this;
    return _asyncToGenerator(function* () {
      try {
        const response = yield (0, _http.post)(_this2.config.httpClient, `${_this2.config.host}/risk/assessments/pre-capture`, _this2.config, _this2.config.sk, body);
        return yield response.json;
      } catch (err) {
        const error = yield (0, _errors.determineError)(err);
        throw error;
      }
    })();
  }
}
exports.default = Risk;
//# sourceMappingURL=risk.js.map