"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _errors = require("../../services/errors");
var _http = require("../../services/http");
var _validation = require("../../services/validation");
function asyncGeneratorStep(n, t, e, r, o, a, c) { try { var i = n[a](c), u = i.value; } catch (n) { return void e(n); } i.done ? t(u) : Promise.resolve(u).then(r, o); }
function _asyncToGenerator(n) { return function () { var t = this, e = arguments; return new Promise(function (r, o) { var a = n.apply(t, e); function _next(n) { asyncGeneratorStep(a, r, o, _next, _throw, "next", n); } function _throw(n) { asyncGeneratorStep(a, r, o, _next, _throw, "throw", n); } _next(void 0); }); }; }
/**
 * Class dealing with the /tokens endpoint
 *
 * @export
 * @class Tokens
 */
class Tokens {
  constructor(config) {
    this.config = config;
  }

  /**
   * Exchange card details or a digital wallet payment token for a reference token
   * that can be used later to request a card payment.
   *
   * @memberof Tokens
   * @param {Object} body Token request body.
   * @return {Promise<Object>} A promise to the request token response.
   */
  request(body) {
    var _this = this;
    return _asyncToGenerator(function* () {
      (0, _validation.setTokenType)(body);
      try {
        const response = yield (0, _http.post)(_this.config.httpClient, `${_this.config.host}/tokens`, _this.config, _this.config.pk, body);
        return yield response.json;
      } catch (err) {
        const error = yield (0, _errors.determineError)(err);
        throw error;
      }
    })();
  }
}
exports.default = Tokens;
//# sourceMappingURL=tokens.js.map